数据迁移的目标 - AWS Database Migration Service
AWS 文档中描述的 AWS 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 AWS 服务入门

数据迁移的目标

AWS Database Migration Service (AWS DMS) 可以将多种应用最广泛的数据库作为数据复制的目标。目标可以位于 Amazon Elastic Compute Cloud (Amazon EC2) 实例、Amazon Relational Database Service (Amazon RDS) 实例或者本地数据库上。

数据库包括:

本地和 Amazon EC2 实例数据库

  • Oracle 版本 10g、11g、12c、18c 以及 19c (Enterprise、Standard、Standard One 和 Standard Two 版)。

    注意

    AWS DMS 版本 3.3.2 及更高版本中支持将 Oracle 版本 19c 作为目标。

    AWS DMS 版本 3.3.1 及更高版本中支持将 Oracle 版本 18c 作为目标。

  • Microsoft SQL Server 版本 2005、2008、2008R2、2012、2014、2016、2017 和 2019。支持 Enterprise、Standard、Workgroup 和 Developer 版。AWS DMS 不支持 Web 和 Express 版本。

    注意

    AWS DMS 版本 3.3.2 和更高版本中支持将 Microsoft SQL Server 版本 2019 作为目标。

  • MySQL 版本 5.5、5.6、5.7 和 8.0。

    注意

    AWS DMS 版本 3.3.1 及更高版本支持将 MySQL 8.0 作为目标。

  • MariaDB(支持作为 MySQL 兼容数据目标)版本 10.0.24 到 10.0.28、10.1、10.2 和 10.3。

    注意

    在所有支持 MySQL 的 AWS DMS 版本中,均支持 MariaDB 作为目标。

  • PostgreSQL 9.4 和更高版本(对于版本 9.x)、10.x、11.x 和 12.x。

    注意
    • AWS DMS 版本 3.3.3 及更高版本中支持将 PostgreSQL 版本 12.x 作为目标。

    • AWS DMS 版本 3.3.1 及更高版本中支持将 PostgreSQL 版本 11.x 作为目标。在任意 DMS 版本中,您可以使用 PostgreSQL 版本 9.4 及更高版本(对于版本 9.x)和 10.x 作为源。

  • SAP Adaptive Server Enterprise (ASE) 版本 15、15.5、15.7、16 和更高版本。

Amazon RDS 实例数据库、Amazon Redshift、Amazon S3、Amazon DynamoDB、Amazon Elasticsearch Service、Amazon Kinesis Data Streams、Amazon DocumentDB、Amazon Neptune 和 Apache Kafka

  • Amazon RDS for Oracle 版本 11g(版本 11.2.0.3.v1 和更高版本)、12c、18c 以及 19c(Enterprise、Standard、Standard One 和 Standard Two 版本)。

    注意

    AWS DMS 版本 3.3.2 及更高版本中支持将 Oracle 版本 19c 作为目标。

    AWS DMS 版本 3.3.1 及更高版本中支持将 Oracle 版本 18c 作为目标。

  • Amazon RDS for Microsoft SQL Server 版本 2008R2、2012、2014、2016、2017 和 2019。支持 Enterprise、Standard、Workgroup 和 Developer 版。AWS DMS 不支持 Web 和 Express 版本。

    注意

    AWS DMS 版本 3.3.2 和更高版本中支持将 Microsoft SQL Server 版本 2019 作为目标。

  • Amazon RDS for MySQL 版本 5.5、5.6、5.7 和 8.0。

    注意

    AWS DMS 版本 3.3.1 及更高版本支持将 MySQL 8.0 作为目标。

  • MariaDB(支持作为 MySQL 兼容数据目标)版本 10.0.24 到 10.0.28、10.1、10.2 和 10.3。

    注意

    在所有支持 MySQL 的 AWS DMS 版本中,均支持 MariaDB 作为目标。

  • PostgreSQL 9.4 和更高版本(对于版本 9.x)、10.x、11.x 和 12.x。

    注意
    • AWS DMS 版本 3.3.3 及更高版本中支持将 PostgreSQL 版本 12.x 作为目标。

    • AWS DMS 版本 3.3.1 及更高版本中支持将 PostgreSQL 版本 11.x 作为目标。在任意 DMS 版本中,您可以使用 PostgreSQL 版本 9.4 及更高版本(对于版本 9.x)和 10.x 作为源。

  • Amazon Aurora 与 MySQL 的兼容性。

  • 与 PostgreSQL 兼容的 Amazon Aurora。

  • Amazon Redshift。

  • Amazon S3。

  • Amazon DynamoDB。

  • Amazon Elasticsearch Service。

  • Amazon Kinesis Data Streams。

  • Amazon DocumentDB(与 MongoDB 兼容)。

  • Amazon Neptune。

  • Apache Kafka – Amazon Managed Streaming for Apache Kafka (Amazon MSK)自管理 Apache Kafka

注意

AWS DMS 不支持对以下目标终端节点类型实施跨 AWS 区域迁移:

  • Amazon DynamoDB

  • Amazon Elasticsearch Service

  • Amazon Kinesis Data Streams